aboutsummaryrefslogtreecommitdiff
path: root/src/usr/bin/myautomountd
diff options
context:
space:
mode:
Diffstat (limited to 'src/usr/bin/myautomountd')
-rwxr-xr-xsrc/usr/bin/myautomountd4
1 files changed, 4 insertions, 0 deletions
diff --git a/src/usr/bin/myautomountd b/src/usr/bin/myautomountd
index a5d8828..340ce04 100755
--- a/src/usr/bin/myautomountd
+++ b/src/usr/bin/myautomountd
@@ -119,6 +119,10 @@ createEntry() {
trap '__ec=$? ; clean_automount ; trap "" 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 18 19 20 ; exit ${__ec} ;' 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 18 19 20
mkdir -p "${AUTOMOUNT_BASEDIR}"
+# run initialization script as root
+$( which sudo 2>/dev/null ) /usr/libexec/myautomount/myautomount-initialize.sh
+_response="${?}" ; test ${_response} -ne 0 && exit ${_response}
+
# MAIN
# start udevadm
udevadm monitor -u -s block 1> "${AUTOMOUNT_TMPFILE}" &
bgstack15